#!/bin/bash
####script below assumes gromacs is compiled#####
#################################################

####Make a topology file using structure and force field for simulation in vacuum.
echo 6 1 | gmx pdb2gmx -f ini_struc/q72-pymol.gro -ignh -o polyq72.gro

####Energy minimization in vacuum.
gmx grompp -f vac_minim.mdp -c polyq72.gro -p vac_topol.top -o vac_em.tpr
gmx mdrun -deffnm vac_em

####Nvt equilibration in vacuum.
gmx grompp -f vac_nvt.mdp -c vac_em.gro -r vac_em.gro -p vac_topol.top -o vac_nvt.tpr
gmx mdrun -deffnm vac_nvt
