################################
####Scripts below are REST simulation.####
####PLUMED HREMD tutorial: https://www.plumed.org/doc-v2.5/user-doc/html/hrex.html#:~:text=When%20patching%20GROMACS%20with%20PLUMED,the%20-hrex%20flag%20of%20mdrun%20.

#number of replicas
nrep=16
# "effective" temperature range
tmin=310
tmax=461

####Make a new topology file (processed.top) using "topol.top". 
#processed.top should have all the parameters required for the simulation in a single file.
gmx grompp -f nvt.mdp -c ini_struc/q72-production-initial.gro -pp processed.top

####Append "_" to solute atoms for which the Hamiltonian is to be scaled inside "processed.

####Process topology and prepare tpr file
dt=0.012
j=0
for ((i=0;i!=16;i++))
do
s=$(echo $dt $i | awk '{printf "%.6f\n",(1.0-$1*$2)*(1.0-$1*$2)}')
echo $s
plumed partial_tempering $s < ./processed.top > topol_$j.top
mkdir test$j
gmx_mpi grompp -f ./production.mdp -c ./nvt.gro -p topol_$j.top -o test$j/topol -maxwarn 1
touch test$j/plumed.dat
j=$[j+1]
done

####Run REST simulation
mpirun -np 16 gmx_mpi mdrun -v -plumed plumed.dat -replex 500 -hrex -multidir test0 test1 test2 test3 test4 test5 test6 test7 test8 test9 test10 test11 test12 test13 test14 test15 -s topol.tpr