#########################################################################
#####calculate mindistres.xvg
#####gmx mindist -f ../traj_promol.xtc -s ../../topol.tpr -n index-mol.ndx -od -on -or -tu ns -ng 3
#########################################################################
import sys
from numpy import *

##load data
data_contactpro = loadtxt('mindistres.xvg')

# create 8 subplots with the shared x axes and y(row)

molof  = delete(data_contactpro, 0, axis=1)

###cal 
framesnum = len(molof[:,1])
residuenum = len(molof[1,:])
residue = int(residuenum/3)

_mol1pro = zeros(residue)
for j in range(0,(residue)):
    count = 0
    for i in molof[:,j]:
        if i <= 0.45:
               count = count + 1
    contactpro = float(count/framesnum)
    _mol1pro[j] = contactpro

_mol2pro = zeros(residue)
for j in range(residue, (2*residue)):
    count = 0
    for i in molof[:,j]:
        if i <= 0.45:
           count = count + 1
    contactpro = float(count/framesnum)
    _mol2pro[j-residue] = contactpro

_mol3pro = zeros(residue)
for j in range((2*residue), (residuenum)):
    count = 0
    for i in molof[:,j]:
        if i <= 0.45:
           count = count + 1
    contactpro = float(count/framesnum)
    _mol3pro[j-2*residue] = contactpro

####save the contact probability (q25 or q72)
savetxt('mol1-contact.txt', _mol1pro)
savetxt('mol2-contact.txt', _mol2pro)
savetxt('mol3-contact.txt', _mol3pro)

