import numpy as np 
import matplotlib.pyplot as plt
from matplotlib import rcParams 
rcParams.update({"mathtext.fontset": 'stix'})

####load  the contact probability
contact_25 = np.loadtxt('q25-mol1-contact.txt')
contact_72 = np.loadtxt('q72-mol1-contact.txt')
#contact_25 = np.loadtxt('q25-mol2-contact.txt')
#contact_72 = np.loadtxt('q72-mol2-contact.txt')
#contact_25 = np.loadtxt('q25-mol3-contact.txt')
#contact_72 = np.loadtxt('q72-mol3-contact.txt')

contact_25 = contact_25[:80]
contact_72 = contact_72[:127]

contact_25_norm = np.zeros(len(contact_25))
contact_72_norm = np.zeros(len(contact_72))
print(len(contact_72_norm))

##normalize
c25_total = np.sum(contact_25)
for res in range(len(contact_25)):
    contact_25_norm[res] = contact_25[res]/c25_total

c72_total = np.sum(contact_72)
for res in range(len(contact_72)):
    contact_72_norm[res] = contact_72[res]/c72_total

##calculate entropy
P_25 = -np.log2(contact_25_norm)
where_are_inf = np.isinf(P_25)
P_25[where_are_inf] = 0
S25 = np.dot(contact_25_norm, P_25)

P72 = -np.log2(contact_72_norm)
where_are_inf = np.isinf(P72)
P72[where_are_inf] = 0
S72 = np.dot(contact_72_norm, P72)

##residue
R_72 = -127*(1/127)*np.log(1/127)
R_25 = -80*(1/80)*np.log(1/80)
S_72 = S72/R_72
S_25 = S25/R_25

print(S_25)
print(S_72)
