import matplotlib.pyplot as plt
import numpy as np
from sklearn.cluster import KMeans
import pandas as pd
from sklearn import metrics


data = np.loadtxt('contact_matrix_2d.txt')
data_cluster = np.array(data)
print(np.shape(data))

model = KMeans(n_clusters=2, max_iter=500, init="k-means++")
model.fit(data_cluster)
model_all = pd.DataFrame(data_cluster, index=model.labels_)
model_denter = pd.DataFrame(model.cluster_centers_)
print(np.shape(model_all))

##save data
np.savetxt('class2-model_all.txt', model_all)
np.savetxt('class2-model_all_index.txt', model_all.index)
np.savetxt('class2-model_center.txt', model.cluster_centers_)

###count 
count_cluster = np.zeros(2)
for i in range(2):
    count_cluster[i] = np.sum(model_all.index == i)
np.savetxt('class2-count.txt', count_cluster)
print(count_cluster)


